Fórum OpenCart Brasil

Por um e-commerce livre, confiável e profissional

#72136
valdeir2000 escreveu:
carlosalex escreveu:
valdeir2000 escreveu: Passa mais detalhes.
Isso está ocorrendo em que momento? Boleto, Cartão ou Débito?
Link da loja?
Olá, @valdeir2000 !

Também instalei a versão mencionada no print, tenho o mesmo problema citado acima, não consigo nem mesmo escolher qualquer opção de pagamento, seja boleto ou cartão. Quando chego na etapa de pagamento o erro aparece na tela.

Alguém recomendação? Segue meu print, no meu caso estou rodando a loja no localhost.
http://imgur.com/Bnypc5r
Imagem
Tente essa versão
https://github.com/opencart-extension/P ... ansparente

Oi, @valdeir2000, obrigado pela resposta.

Baixei a versão do teu repo no github, desinstalei o módulo que estava usando e instalei o ~novo~, no entanto, o mesmo problema continua.

Há algum teste que eu possa fazer que te ajuda a identificar o erro ou pelo menos te ajude a replicar o bug?

Baixei o opencart na sexta-feira passada, e em seguida baixei teu módulo, e pelo que li nessa thread e no forum, o módulo está na versão mais atual e não deveria acontecer esse erro :/ alguma outra dica ou sugestão?
#72944
Bom dia Valdeir,

Instalei o módulo do pagseguro transparente só que na parte de cartão de crédito ele pede o número do CPF ou CNPJ, só que esse campo não aparece na pagina, e no campo para escolher a quantidade de parcelas e o valor, não aparece nada.
#72946
Jocélio da Silva escreveu:Bom dia Valdeir,

Instalei o módulo do pagseguro transparente só que na parte de cartão de crédito ele pede o número do CPF ou CNPJ, só que esse campo não aparece na pagina, e no campo para escolher a quantidade de parcelas e o valor, não aparece nada.
#75955
Instalei na minha loja, mas está dando o seguinte erro

Fatal error: 'Error: Could not load model payment!'
in /home/garagebrecho/public_html/store/system/storage/modification/system/engine/loader.php:178
Stack trace:
#0 [internal function]: Loader->{closure}(Array, Array)
#1 system/engine/proxy.php(25): call_user_func_array(Object(Closure), Array)
#2 catalog/controller/checkout/payment_method.php(53): Proxy->__call('getMethod', Array)
#3 catalog/controller/checkout/payment_method.php(53): Proxy->getMethod(Array, 57.7)
#4 [internal function]: ControllerCheckoutPaymentMethod->index()
#5 system/storage/modification/system/engine/action.php(51): call_user_func_array(Array, Array)
#6 catalog/controller/startup/router.php(25): Action->execute(Object(Registry))
#7 [internal function]: ControllerStartupRouter->index()
#8 system/storage/modification/system/engine/action.php(51): call_user_func_array(Array, Array)
#9 system/storage/modification/system/engine/front.php(37): Action->execute(Object(Registry))
#10 system/storage/modification/system/engine/front.php(32): Front->execute(Object(Action))
#11 system/framework.php(103): Front->dispatch(Object(Action), Object(Action))
#12 system/startup.php(124): require_once('/home/garagebre...')
#13 index.php(19): start('catalog')
#14 {main}

Alguém pode me ajudar?
a minha versão é a 2.3.0..2
#75956
valreiss escreveu:
09 Nov 2017, 22:30
Instalei na minha loja, mas está dando o seguinte erro

Fatal error: 'Error: Could not load model payment!'
in /home/garagebrecho/public_html/store/system/storage/modification/system/engine/loader.php:178
Stack trace:
#0 [internal function]: Loader->{closure}(Array, Array)
#1 system/engine/proxy.php(25): call_user_func_array(Object(Closure), Array)
#2 catalog/controller/checkout/payment_method.php(53): Proxy->__call('getMethod', Array)
#3 catalog/controller/checkout/payment_method.php(53): Proxy->getMethod(Array, 57.7)
#4 [internal function]: ControllerCheckoutPaymentMethod->index()
#5 system/storage/modification/system/engine/action.php(51): call_user_func_array(Array, Array)
#6 catalog/controller/startup/router.php(25): Action->execute(Object(Registry))
#7 [internal function]: ControllerStartupRouter->index()
#8 system/storage/modification/system/engine/action.php(51): call_user_func_array(Array, Array)
#9 system/storage/modification/system/engine/front.php(37): Action->execute(Object(Registry))
#10 system/storage/modification/system/engine/front.php(32): Front->execute(Object(Action))
#11 system/framework.php(103): Front->dispatch(Object(Action), Object(Action))
#12 system/startup.php(124): require_once('/home/garagebre...')
#13 index.php(19): start('catalog')
#14 {main}

Alguém pode me ajudar?
a minha versão é a 2.3.0..2

Provavelmente você baixou o módulo da versão 3.x e está tentando instalar na 2.x
#76012
A extensão PagSeguro Checkout Transparente possui um ID que já está instalado!

Apaguei tudo e tentei instalar de novo pra ver se é isso mesmo, se instalei a 3 no lugar da 2, mas dá este erro acima. O que pode ser?
#76079
Consegui resolver o problema e vou postar aqui o que eu fiz:

Deletei as seguintes pastas via FTP e o problema foi solucionado:

• catalog/model/total
• catalog/model/payment
• catalog/controller/payment
• catalog/model/shipping
• catalog/controller/module
• admin/controller/total
• admin/controller/payment
• admin/controller/shipping
• admin/controller/module
  • 1
  • 4
  • 5
  • 6
  • 7
  • 8

Olá pessoal, vocês fizeram um trabalh[…]

Fala, pessoal! No meu caso o erro aconteceu por ca[…]

Ola @cascel Em sua conta do pagseguro, procure[…]

Bom pessoal, no meu caso o erro aconteceu por caus[…]